<?php 

	/*
		Project: Cal Poly - DIY: Physical Computing at Play
		Author: Michael Newman
		Author URI: http://michaeljnewman.com
	*/
	
	include_once '../config.php';
	
	$games = get_games(true); 
	
?><!doctype html>

<html>

	<head>
	
		<title><?php echo $title; ?></title>
		
		<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>
		<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.16/jquery-ui.min.js"></script>
		<script type="text/javascript" src="js/admin.js?v=<?php echo $version; ?>"></script>
		
		<link rel="stylesheet" href="style_admin.css?v=<?php echo $version; ?>" type="text/css" media="screen" />
		
		<script>
			var path	= '<?php echo $path; ?>';
		</script>
		
	</head>

	<body>
	
		<div id="display" class="">
		
			<h1>Admin</h1>
			
			<h2>Games</h2>
			
			<ul>
				<?php if ($games) : foreach($games as $game) : ?>
					<li id="<?php echo $game->GID; ?>">
						Game: <?php echo $game->GID; ?>
						Score: <?php echo $game->Team1Score; ?> : <?php echo $game->Team2Score; ?>
						<select class="update">
							<?php foreach($states as $state) : ?><option value="<?php echo $state; ?>" <?php if ($game->State == $state) echo 'selected'; ?>><?php echo $state; ?></option><?php endforeach; ?>
						</select>
						<input type="button" value="Update" class="button_update" />
					</li>
				<?php endforeach; endif; ?>
			</ul>
						
			<input type="button" value="Create Game" id="button_create" />
			
			<form id="gameboard" class="hidden">
			
				<h3>Pylons Set: <span id="pylons_set">0</span></h3>
				
				<?php for ($r = 1; $r <= $rows; $r++) : ?>
				
					<?php printf("%02d:", $r); ?>
					
					<?php for ($c = 1; $c <= $cols; $c++) : ?>
						<input type="text" maxlength="4" class="admin_pylon admin_inactive" name="<?php echo 'pos_' . $r . '_' . $c; ?>" id="<?php echo 'pos_' . $r . '_' . $c; ?>" value="<?php printf("%d: %d", $r, $c); ?>" />
					<?php endfor; ?>
					
					<div class="clear"></div>
				
				<?php endfor; ?>
				
				<input type="submit" value="Save Game" id="submit" />
				
			</form>
			
		</div>
		
		<input type="hidden" value="<?php echo $_SESSION['TOKEN']; ?>" id="TOKEN" />
		
	</body>
	
</html>
