/*
	Project: Cal Poly - DIY: Physical Computing at Play
	Author: Michael Newman
	Author URI: http://michaeljnewman.com
*/
	
jQuery(function() {

	$('.button_update').click(function () {
	
		//console.log( $(this).parent().attr('id') );
		//console.log( $(this).siblings('.update').val() );
		
		$.ajax({			
			type: 'POST',
			url: path + 'data/update.php',
			data: {GID: $(this).parent().attr('id'), Action: $(this).siblings('.update').val(), TOKEN: $('#TOKEN').val()},	
			dataType: 'json',
			cache: false,
			success: function (msg) { 
				
				if (msg.response == 'success') {
					
					window.location.reload();				
				} else {
				
					alert('Database Error');
				}	
			}
		});
	});
	
	
	$('.admin_pylon').focus(function () {	
		
		if ($(this).hasClass('admin_inactive')) $(this).val('').removeClass('admin_inactive');	// REMOVE ADMIN CLASS AND CLEAR VALUE
	}).blur(function () {
	
		var duplicate = false;
		
		// CHECK FOR DUPLICATES
		var unique_values = {};
		var list_of_values = [];
		$('.admin_pylon').each(function(item, value) { 
			if (!unique_values[$(value).val()]) {
				unique_values[$(value).val()] = true;
				list_of_values.push($(value).val());
			} else {
				duplicate = true;
			}
		});
    
    	if (duplicate) {
    		// DUPLICATES
    		alert('Duplicate Entry'); // ALERT DUPLICATE    		
    		var display = $(this).attr('id').substring(4).replace('_', ': '); // RESET VALUE
    		$(this).val(display).removeClass('team1 team2').addClass('admin_inactive');	// RESET CLASSES
    	} else {
			// NO DUPLICATES
			var value = $(this).val();	// GET INPUT VALUE		
			var team = (value <= 24) ? 'team1' : 'team2';	// SET CLASS BASED ON VALUE
			var count = parseInt($('#pylons_set').text());	// GET PYLON COUNT
			
			if (value >= 1 && value <= 48) {	// CONFIRM VALUE RANGE	
				// VALID VALUE
				if (!$(this).hasClass('team1') && !$(this).hasClass('team2')) $('#pylons_set').text(count +1);	// ADD 1 TO COUNTER
				$(this).addClass(team);	// ADD TEAM CLASS
			} else {
				// INVALID VALUE
				var display = $(this).attr('id').substring(4).replace('_', ': '); // RESET VALUE
				
				if ($(this).hasClass('team1') || $(this).hasClass('team2')) {	// CHECK FOR EXISTING TEAM
				
					var new_count = (count > 0) ? count -1 : 0; // SUBTRACT 1 FROM COUNTER
					$('#pylons_set').text(new_count); // UPDATED COUNTER
				}
				
				$(this).val(display).removeClass('team1 team2').addClass('admin_inactive');	// RESET CLASSES
			}
		}
	});
	
	
	$('form').submit(function() {
	
		$('.admin_inactive').val('');
				
		var inputs = $(this).serializeArray();
		
		data = {};
		for (i in inputs) data[i] = inputs[i].value
  		//console.log( JSON.stringify(data) );
  		
  		$.ajax({			
			type: 'POST',
			url: path + 'data/create.php',
			data: {layout: JSON.stringify(data), TOKEN: $('#TOKEN').val()},	
			dataType: 'json',
			cache: false,
			success: function (msg) { 
				
				if (msg.response == 'success') {
					
					window.location.reload();				
				} else {
				
					alert('Database Error');
				}	
			}
		});
		
  		return false;
	});
    
    
	$('#button_create').click(function () { $('#gameboard').toggle(); });
});