<?php			
    
    /*
		Project: Cal Poly - DIY: Physical Computing at Play
		Author: Michael Newman
		Author URI: http://michaeljnewman.com
	*/

	class Input_Data {
    
    	// VARIABLES
    	private $data 	= array();
    	private $error 	= false;
		private $errors = array();
		    	
    	
    	// DATA TYPE FUNCTIONS
    	public function add_data_type ($name, $required = 0, $length = 80, $validation = 'text') {
    	
    		// TRIM VALUE TO LENGTH
    		if ( strlen($value) > $length ) $value = substr($value, 0, $length);
    		
    		$this->data[$name] = array (
    		
    			'required' 		=> $required,	// DATA REQUIRED FOR VALIDATION
    			'validation' 	=> $validation, // VALIDATION TYPE
    			'length' 		=> $length,		// DATA LENGTH
    			'valid'			=> false		// DATA VALIDATED
    			);
    	}
    	
    	// DATA FUNCTIONS
    	public function add_data ($data) {
    	
    		if ($data) foreach ($data as $d => $v) if (isset($this->data[$d])) $this->data[$d]['value'] = $v;
    	}
    	
    	public function get_data ($data_type) {
    	
    		return $this->data[$data_type]['value'];
    	}
    	
    	public function get_clean_data ($data_type) {
    	
    		return $this->clean_data($this->data[$data_type]['value']);
    	}
    	
    	public function get_errors () {
    	
    		return $this->errors;
    	}
		
    	// SQL DATA OUTPUT 
    	public function sql_insert ($exclude = false) { 

			$excluded = array();
    		if ($exclude) $excluded = explode('&', $exclude);
			
    		$output = '';    		
    		foreach ($this->data as $d => $v) if (!in_array($d, $excluded)) $output .= "$d,";
    		
    		return rtrim($output, ',');   		
    	}
    	
    	public function sql_values ($exclude = false) {
    	
    		$excluded = array();
    		if ($exclude) $excluded = explode('&', $exclude);
			
			$output = '';    		
    		foreach ($this->data as $d => $v) if (!in_array($d, $excluded)) $output .= "'" . $this->clean_data($v['value']) . "',";
    		
    		return rtrim($output, ',');   		
    	}
    	
    	public function sql_update ($exclude = false) {
    	
    		$excluded = array();
    		if ($exclude) $excluded = explode('&', $exclude);
			
    		$output = '';    		
    		foreach ($this->data as $d => $v) if (!in_array($d, $excluded)) $output .= "$d = '" . $this->clean_data($v['value']) . "',";
    		
    		return rtrim($output, ',');   		
    	}
    	    	
    	
    	// VALIDATE DATA
    	public function validate_data () {
    	
    		foreach ($this->data as $d => $v) {
    			
    			if ($v['required'] && !$this->data[$d]['valid']) {
    			
    				$this->errors[] = $d;
    				$this->error = true;
    			}
    		}
    		
    		// 
    		if (!$this->error) return true;
    		return false;
    	}
    	    	
    	private function clean_data ($string) {
	
			if (get_magic_quotes_gpc()) {
				
				$string = stripslashes($string);
			}
	
			$string = strip_tags($string);
			$string = mysql_escape_string($string); //mysql_real_escape_string($string);
			
			return $string;
		} 
	}
