<?php

	/*
		Project: Cal Poly - DIY: Physical Computing at Play
		Author: Michael Newman
		Author URI: http://michaeljnewman.com
	*/
	
	require_once '../config.php';
	
	$response = array (); // RESPONSE ARRAY
	
	$games = get_display_games(); // GET ACTIVE GAME
	
	//dump($games);
	
	if ($games) {
		
		$GameCount = 0;
		$Team1Wins = 0;
		$Team2Wins = 0;
		
		foreach ($games as $game) {
		
			if ($game->State == 'Pending') 		$response['response'] = 'pending';
			if ($game->State == 'Completed') 	$response['response'] = 'splash';
			if ($game->State == 'Active') 		$response['response'] = 'play';
			
			if ($game->State == 'Completed') {
				if ($game->Team1Score > $game->Team2Score) $Team1Wins++;
				if ($game->Team2Score > $game->Team1Score) $Team2Wins++;
				
				if ($game->Team2Score == $game->Team1Score) {
					$Team1Wins++;
					$Team2Wins++;
				}
				
				$GameCount++;	
			}
		}
		
		$response['Team1Wins'] 	= $Team1Wins;
		$response['Team2Wins'] 	= $Team2Wins;
		$response['GameCount'] 	= $GameCount;
		
		if ($game->State == 'Active') {
		
			$Score = get_board($game->GID);
			
			if ($Score) {
				// CALCULATE SCORES
				$pylons = str_split($Score->Board);
			
				for ($i = 0; $i < count($pylons); $i++) {
				
					if ($i < (count($pylons) /2)) {
					
						$Team1Score	+= $pylons[$i];
					} else {
					
						$Team2Score	+= $pylons[$i];
					}
				}
			} else {
			
				$Team1Score = 0;
				$Team2Score = 0;
			}
			
			$response['Layout'] 	= json_decode($game->Layout);
			$response['Board'] 		= $pylons;
			$response['Team1Score'] = $Team1Score;
			$response['Team2Score'] = $Team2Score;
		}
	} else {
	
		// NO GAMES
		$response['response'] 	= 'splash';
	}
	
	// PREPARE RESPONSE
	$json = json_encode($response);
		
	// OUTPUT JSON RESPONSE
	header('Content-Type: text/plain, charset=utf-8');
	echo $json;
	