<?php 

	/*
		Project: Cal Poly - DIY: Physical Computing at Play
		Author: Michael Newman & Andras Kanegson
		Author URI: http://michaeljnewman.com & http://andraskanegson.com/
	*/
	
	include_once 'config.php';
	
	$game 	= get_active_game();
	$games 	= get_games();
	
	$Layout = json_decode($game->Layout);
	
?><!doctype html>

<html>

	<head>
	
		<title><?php echo $title; ?></title>
		
		<!--
			Project: Cal Poly - DIY: Physical Computing at Play
			Author: Michael Newman & Andras Kanegson
			Author URI: http://michaeljnewman.com & http://andraskanegson.com/
		-->
	
		<meta name="apple-mobile-web-app-capable" content="yes" />
		<link rel="apple-touch-icon-precomposed" href="images/app_icon.png" />
		
		<?php if (strpos($_SERVER['HTTP_USER_AGENT'],'iPhone')) : ?>
			<meta name="viewport" content="width=640, initial-scale=0.42" />
		<?php elseif (strpos($_SERVER['HTTP_USER_AGENT'],'Android')) : ?>
			<meta name="viewport" content="width=640, initial-scale=0.42" />
		<?php else : ?>
			<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=1;">
		<?php endif; ?>
		
		<link rel="stylesheet" media="screen" href="style.css?v=<?php echo $version; ?>" />
		<?php if (strpos($_SERVER['HTTP_USER_AGENT'],'iPhone') || strpos($_SERVER['HTTP_USER_AGENT'],'iPad') || strpos($_SERVER['HTTP_USER_AGENT'],'Android')) : ?>
			<link rel="stylesheet" media="all and (orientation:portrait)" href="style_portrait.css?v=<?php echo $version; ?>" />
		<?php endif; ?>
		
		<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>
		<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.16/jquery-ui.min.js"></script>
		<script type="text/javascript" src="js/scripts.js?v=<?php echo $version; ?>"></script>
		
		<script>
			var path		= '<?php echo $path; ?>';
			var spaces		= <?php echo $rows * $cols; ?>;
			var timer		= null;
			var timeout 	= <?php echo $timeout; ?>;
			var can_hit 	= '<div class="can_hit_circle"></div>';
			var state		= 'splash';
			var layout		= null;
			var board		= null;
			var firstload 	= true;
			var audio		= null; //new Audio('audio/can.mp3');
			
			load_data();
		</script>
		
	</head>

	<body ontouchmove="event.preventDefault();">

		<div id="splash" class="hidden"></div>
		<div id="message" class="text-shadow hidden"></div>
		<div id="curtain" class="hidden"></div>
		
		<div id="display">
			
			<div id="logo"></div>			
			
			<div id="staircase">
			
				<?php $c = 1; for ($i = 1; $i <= $rows; $i++) : ?>
				<div id="stair_<?php echo $i; ?>" class="stair">
					<?php for ($j = 1; $j <= $cols; $j++) : ?>
					<div id="spot_<?php echo $c; ?>" class="can col_<?php echo $j; ?> text_shadow invisible"></div>
					<?php $c++; endfor; ?>		
				</div>
				<?php endfor; ?>
				
				<div id="score" class="hidden"></div>	
				
			</div>
			
			<div id="leaderboard" class="light">			
				<div id="green_team" class="data">		
					<div class="wins">0</div>
					<div class="played">0</div>
					<div class="score">0</div>					
					<div class="team uppercase team_a">Green Team</div>				
				</div>	
				
				<div id="gold_team" class="data">		
					<div class="wins">0</div>
					<div class="played">0</div>
					<div class="score">0</div>					
					<div class="team uppercase team_b">Gold Team</div>				
				</div>		
			</div>
		
		</div>
		
	</body>

</html>
