/*
	Project: Cal Poly - DIY: Physical Computing at Play
	Author: Michael Newman
	Author URI: http://michaeljnewman.com
*/
	
function set_interval () {

	timer = setInterval(load_data, timeout);
}

function load_data () {

	$.ajax({			
		url: path + 'data/display.php',
		dataType: 'json',
		cache: false,
		success: function (data) { 
			
			// UPDATE PAST GAMES
			if (data.GameCount != $('.played').html())				$('.played').html(data.GameCount);
			if (data.Team1Wins != $('#green_team .wins').html())	$('#green_team > .wins').html(data.Team1Wins);
			if (data.Team2Wins != $('#gold_team .wins').html()) 	$('#gold_team > .wins').html(data.Team2Wins);
			
			$('.wins').removeClass('red green');
			$('.played').removeClass('red green');
			
			if (data.Team1Wins > data.Team2Wins) {
				$('#green_team > .wins').addClass('green');
				$('#green_team > .played').addClass('green');
				$('#gold_team > .wins').addClass('red');
				$('#gold_team > .played').addClass('red');
			}
			
			if (data.Team2Wins > data.Team1Wins) {
				$('#green_team > .wins').addClass('red');
				$('#green_team > .played').addClass('red');
				$('#gold_team > .wins').addClass('green');
				$('#gold_team > .played').addClass('green');
			}					
					
			if (data.response == 'pending') {
			
				// DISPLAY PENDING MESSAGE
				if (state != 'pending') {
					$('#splash').fadeOut('slow', function () {
						clear_board();
						clear_message();
						$('#curtain').fadeTo('fast', 0.8, function () { 
							$('#message').addClass('yellow').html('Game Setup In Progress').fadeIn('slow');		
						});
						state = 'pending';
					});
				}
			} else if (data.response == 'play') {
				
				// DISPLAY PLAY MESSAGE
				if (state != 'play') {
					
					state = 'play';
					
					// SET GAME BOARD
					layout = data.Layout;
				
					set_board();
					
					// DISPLAY BOARD
					$('#splash').fadeOut('slow', function () {
						clear_message();
						$('#curtain').fadeTo('fast', 0.8, function () { 
							$('#message').addClass('green').html('Play Ball!').fadeIn('slow', function () {
							
								$('#message').fadeOut(2500, function () { $('#curtain').fadeOut('fast'); });	
							});		
						});
					});
				}
				
				// UPDATE SCORES
				board = data.Board;
				var scored = false;
				
				for (var i = 0; i < spaces; i++) {
				
					var spot	= '#spot_' + (i + 1);
					var space 	= parseInt($(spot).html());
										
					if (space) {
					
						if ($(spot).hasClass('can_yellow')) space += 24; // UPDATE BASED ON COLOR
						if (board) {
							if (parseInt(board[space -1]) == 1) {
								
								if (firstload == false && !$(spot).hasClass('can_hit')) {
								
									$(spot).append(can_hit).fadeOut(8000); // DISPLAY HIT CIRCLE
									scored = true; // NEW SCORE
									
									if (audio) audio.play();
								}
								
								if (!$(spot).hasClass('can_hit')) $(spot).addClass('can_hit invisible'); // CAN HIT -> TURN OFF
							}
						}
					}
				}
				
				// UPDATE SCOREBOARD				
				if (data.Team1Score != $('#green_team .score').html()) 	$('#green_team > .score').html(data.Team1Score);
				if (data.Team2Score != $('#gold_team .score').html()) 	$('#gold_team > .score').html(data.Team2Score); 				
				
				if (scored) {
					// DISPLAY SCORE
					$('#score').fadeIn(500, function () { $('#score').fadeOut(3500); }); 
				}
			} else if (data.response == 'splash') {
						
				// DISPLAY SPLASH SCREEN
				if (state != 'splash') {
					clear_message();
					$('#curtain').fadeTo('fast', 0.8, function () { 
						clear_board();
						$('#splash').fadeIn(); 
					});
					state = 'splash';
				}
			}
			
			if (firstload == true) {
				// FIRST LOAD -> START INTERVAL
				firstload = false;
				set_interval();
			}
		}
	});
}

function set_board () {

	for (var i = 0; i < spaces; i++) {
	
		if (layout[i]) {
			
			var num 	= parseInt(layout[i]);
			var color 	= 'can_green';
			 
			if (num > 24) {
				// CALCULATE FOR YELLOW CANS
				num -= 24;
				color = 'can_yellow';
			}
			
			$('#spot_' + (i + 1)).html(num).addClass(color).removeClass('invisible');	
		}
	}
}

function clear_board () {

	layout	= null;
	board	= null;
	
	$('.score').html('0');
	$('.can').addClass('invisible').removeClass('can_hit can_green can_yellow').html('').fadeIn();
}

function clear_splash () {

	$('#splash').fadeOut('fast');
}

function clear_message () {

	$('#message').fadeOut('fast', function () { $('#message').html('').removeClass('red green yellow'); });
}




